org.apache.catalina.authenticator.jaspic

## Class AuthConfigFactoryImpl

- java.lang.Object
- - javax.security.auth.message.config.AuthConfigFactory
  - - org.apache.catalina.authenticator.jaspic.AuthConfigFactoryImpl

    public class AuthConfigFactoryImpl
    extends AuthConfigFactory

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.security.auth.message.config.AuthConfigFactory

`AuthConfigFactory.RegistrationContext`

### Field Summary

### Fields inherited from class javax.security.auth.message.config.AuthConfigFactory

`DEFAULT_FACTORY_SECURITY_PROPERTY, GET_FACTORY_PERMISSION_NAME, getFactorySecurityPermission, PROVIDER_REGISTRATION_PERMISSION_NAME, providerRegistrationSecurityPermission, SET_FACTORY_PERMISSION_NAME, setFactorySecurityPermission`

### Constructor Summary

Constructors
Constructor and Description
`AuthConfigFactoryImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `detachListener(RegistrationListener listener, String layer, String appContext)`
`AuthConfigProvider` `getConfigProvider(String layer, String appContext, RegistrationListener listener)`
`AuthConfigFactory.RegistrationContext` `getRegistrationContext(String registrationID)`
`String[]` `getRegistrationIDs(AuthConfigProvider provider)`
`void` `refresh()`
`String` `registerConfigProvider(AuthConfigProvider provider, String layer, String appContext, String description)`
`String` `registerConfigProvider(String className, Map properties, String layer, String appContext, String description)`
`boolean` `removeRegistration(String registrationID)`

### Methods inherited from class javax.security.auth.message.config.AuthConfigFactory

`getFactory, setFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthConfigFactoryImpl

    public AuthConfigFactoryImpl()

### Method Detail

#### getConfigProvider

    public AuthConfigProvider getConfigProvider(String layer,
                                                String appContext,
                                                RegistrationListener listener)

Specified by:
  `getConfigProvider` in class `AuthConfigFactory`

#### registerConfigProvider

    public String registerConfigProvider(String className,
                                         Map properties,
                                         String layer,
                                         String appContext,
                                         String description)

Specified by:
  `registerConfigProvider` in class `AuthConfigFactory`

#### registerConfigProvider

    public String registerConfigProvider(AuthConfigProvider provider,
                                         String layer,
                                         String appContext,
                                         String description)

Specified by:
  `registerConfigProvider` in class `AuthConfigFactory`

#### removeRegistration

    public boolean removeRegistration(String registrationID)

Specified by:
  `removeRegistration` in class `AuthConfigFactory`

#### detachListener

    public String[] detachListener(RegistrationListener listener,
                                   String layer,
                                   String appContext)

Specified by:
  `detachListener` in class `AuthConfigFactory`

#### getRegistrationIDs

    public String[] getRegistrationIDs(AuthConfigProvider provider)

Specified by:
  `getRegistrationIDs` in class `AuthConfigFactory`

#### getRegistrationContext

    public AuthConfigFactory.RegistrationContext getRegistrationContext(String registrationID)

Specified by:
  `getRegistrationContext` in class `AuthConfigFactory`

#### refresh

    public void refresh()

Specified by:
  `refresh` in class `AuthConfigFactory`